package com.gree.mall.manager.bean.listvo.material;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.DirectFlagEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 网点辅材库存明细
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class WebsitStockAccVO {

//    @ZfireField(hide = true)
//    private String companyWechatId;
//    @ApiModelProperty("所属商户")
//    private String companyWechatName;
    @ZfireField(hide = true)
    private String websitId;
    @ApiModelProperty("网点名称")
    private String websitName;
    @ZfireField(tbName = "c")
    @ApiModelProperty("辅材大类")
    private String categoryName;
    @ZfireField(tbName = "d",ignoreSelect = true,colName = "category_name")
    @ApiModelProperty("辅材小类")
    private String categoryName2;
    @ZfireField(tbName = "b")
    @ApiModelProperty("辅材名称")
    private String goodsName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("单位")
    private String goodsStockUnit;
    @ZfireField(tbName = "b")
    @ApiModelProperty("商品代码")
    private String goodsCode;
    @ZfireField(tbName = "b")
    @ApiModelProperty("规格")
    private String goodsSpecification;
    @ApiModelProperty("发生价格")
    private BigDecimal price;
    @ApiModelProperty("发生时间")
    private Date sdate;
    @ZfireField(tbName = "e")
    @ApiModelProperty("仓库")
    private String storageName;
    @ApiModelProperty("发生方向")
    private DirectFlagEnum directFlag;
    @ApiModelProperty("发生数量")
    private BigDecimal changeQty;
    @ApiModelProperty("当前库存数量")
    private BigDecimal qty;
    @ApiModelProperty("结存库存数量")
    private BigDecimal closeQty;
    @ApiModelProperty("相关单号")
    private String ref;
    @ApiModelProperty("相关单据类型")
    private String refType;
    @ApiModelProperty("业务对象")
    private String obj;
    @ApiModelProperty("更新人")
    private String operateBy;
    @ApiModelProperty("更新时间")
    private Date operateTime;
    @ApiModelProperty("备注")
    private String remark;

}
