package com.gree.mall.manager.bean.listvo.order;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.hssf.record.HideObjRecord;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 处罚单VO
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/29 13:54
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class PunishOrderVO {

    @ApiModelProperty("处罚单号")
    public String id;
//    @ZfireField(hide = true)
//    private String companyWechatId;
//    @ApiModelProperty("商户名称")
//    private String companyWechatName;
    @ApiModelProperty("状态")
    private ExamineStatusEnum status;
    @ApiModelProperty("处置工单类型")
    private String disposeOrderSmallTypeText;
    @ApiModelProperty("处置网点名称")
    private String disposeWebsitName;
    @ApiModelProperty("处置工程师")
    private String disposeWorkerName;
    @ApiModelProperty("处置工程师电话")
    private String disposeWorkerMobile;

    @ZfireField(tbName = "b")
    @ApiModelProperty("处罚费用")
    private BigDecimal amount;
    @ApiModelProperty("处罚说明")
    private String remark;

    @ApiModelProperty("处罚工单号")
    private String orderBaseId;
    @ApiModelProperty("处罚工单类型")
    private String orderSmallTypeText;
    @ApiModelProperty("处罚网点名称")
    private String websitName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("处罚工程师")
    private String workerName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("处罚工程师电话")
    private String workerMobile;

    @ApiModelProperty("客户名")
    private String userName;
    @ApiModelProperty("客户电话")
    private String userMobile;
    @ApiModelProperty("客户电话2")
    private String userMobile2;
    @ApiModelProperty("详细地址")
    private String address;

    @ZfireField(tbName = "c")
    @ApiModelProperty("产品品牌")
    private String brandName;
    @ZfireField(tbName = "c")
    @ApiModelProperty("产品大类")
    private String mainName;
    @ZfireField(tbName = "c")
    @ApiModelProperty("产品小类")
    private String smallName;
    @ZfireField(tbName = "c")
    @ApiModelProperty("机型")
    private String specsName;
    @ZfireField(tbName = "c")
    @ApiModelProperty("内机条码")
    private String insideCode;
    @ZfireField(tbName = "c")
    @ApiModelProperty("外机条码")
    private String outCode;

    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("审批人")
    private String examineBy;
    @ApiModelProperty("审批时间")
    private Date examineTime;
}
