package com.gree.mall.manager.bean.listvo.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.workorder.OrderBaseStatusEnum;
import com.gree.mall.manager.plus.entity.PgOrderFlag;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@ZfireField(tbName = "a")
@Data
public class OrderBase2VO {

    @ZfireField(sortNum = 1,isQuery = false, ignoreSelect = true)
    @ApiModelProperty(value="提醒")
    private List<PgOrderFlag> orderFlags = new ArrayList<>();

    @ZfireField(sortNum = 2)
    @ApiModelProperty(value = "工单来源")
    private String source;

    @ZfireField(sortNum = 3)
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(sortNum = 4,tbName = "b")
    @ApiModelProperty("产品品牌")
    private String brandName;

    @ZfireField(sortNum = 5,tbName = "b")
    @ApiModelProperty("产品大类")
    private String mainName;

    @ZfireField(sortNum = 6,tbName = "b")
    @ApiModelProperty("产品小类")
    private String smallName;

    @ZfireField(sortNum = 7,tbName = "b")
    @ApiModelProperty("产品机型")
    private String productName;

    @ZfireField(sortNum = 8,tbName = "b")
    @ApiModelProperty("产品数量")
    private String num;

    @ZfireField(sortNum = 9, isQuery = false, ignoreSelect = true)
    @ApiModelProperty("结算总金额")
    private BigDecimal settleAmount;

    @ZfireField(sortNum = 10)
    @ApiModelProperty(value = "工单状态")
    private OrderBaseStatusEnum orderStatus;

    @ZfireField(sortNum = 11)
    @ApiModelProperty(value = "工单单号")
    private String id;

//    @ZfireField(sortNum = 12)
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ZfireField(sortNum = 13)
    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ZfireField(sortNum = 14)
    @ApiModelProperty(value = "客户名称")
    private String userName;

    @ZfireField(sortNum = 15)
    @ApiModelProperty(value = "客户电话")
    private String userMobile;

    @ZfireField(sortNum = 16)
    @ApiModelProperty(value = "客户电话2")
    private String userMobile2;

    @ZfireField(sortNum = 17)
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ZfireField(tbName = "c", hide = true)
    @ApiModelProperty(value = "产品id")
    private String pgOrderProductId;

    @ZfireField(ignoreSelect = true, hide = true)
    @ApiModelProperty(value = "空对象")
    private String expandData;

}
