package com.gree.mall.manager.bean.listvo.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.workorder.AppraiseSourceEnum;
import com.gree.mall.manager.enums.workorder.AppraiseStatusEnum;
import com.gree.mall.manager.enums.workorder.OrderBaseStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class OrderBaseAppraiseVO {

//    @ZfireField(sortNum = 2)
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;
    @ZfireField(sortNum = 3)
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ZfireField(sortNum = 4)
    @ApiModelProperty(value = "工单单号")
    private String id;
    @ZfireField(sortNum = 5)
    @ApiModelProperty(value = "工单状态")
    private OrderBaseStatusEnum orderStatus;
    @ZfireField(sortNum = 5)
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;
    @ZfireField(sortNum = 6)
    @ApiModelProperty(value = "工单来源")
    private String source;
    @ZfireField(sortNum = 8)
    @ApiModelProperty(value = "总数量")
    private Integer totalNum;
    @ZfireField(sortNum = 9)
    @ApiModelProperty(value = "预约上门日期")
    private Date appointmentTime;
    @ZfireField(sortNum = 10)
    @ApiModelProperty(value = "客户名称")
    private String userName;
    @ZfireField(sortNum = 11)
    @ApiModelProperty(value = "客户电话")
    private String userMobile;
    @ZfireField(sortNum = 12)
    @ApiModelProperty(value = "客户电话2")
    private String userMobile2;
    @ZfireField(sortNum = 13)
    @ApiModelProperty(value = "详细地址")
    private String address;
    @ZfireField(sortNum = 14)
    @ApiModelProperty(value = "工程师名称")
    private String workerName;
    @ZfireField(sortNum = 15)
    @ApiModelProperty(value = "工程师电话")
    private String workerMobile;
    @ZfireField(sortNum = 16)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ZfireField(sortNum = 17)
    @ApiModelProperty(value = "师傅报完工时间")
    private Date overTime ;
//    @ZfireField(sortNum = 18)
//    @ApiModelProperty(value = "网点报完工时间")
//    private Date websitOverTime;
    @ZfireField(sortNum = 19)
    @ApiModelProperty(value = "评价类型")
    private AppraiseStatusEnum appraiseStatus;
    @ZfireField(sortNum = 20)
    @ApiModelProperty(value = "评价内容")
    private String appraiseContent;
    @ZfireField(sortNum = 21)
    @ApiModelProperty(value = "评价来源")
    private AppraiseSourceEnum appraiseSource;
    @ZfireField(sortNum = 22)
    @ApiModelProperty(value = "评价时间")
    private Date appraiseTime;

    @ApiModelProperty("评价图片")
    private String appraiseImgUrl;


    @ZfireField(hide = true)
    @ApiModelProperty(value = "服务单类型")
    private String orderType;

}
